Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java	(revision 1060)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/ExternalizationFilesUpdater.java	(revision 1061)
@@ -18,290 +18,295 @@
 // You should have received a copy of the GNU General
 // Public License along with the TXM platform. If not, see
 // http://www.gnu.org/licenses.
-
-//
-// This file is part of the TXM platform.
-//
-// The TXM platform is free software: you can redistribute it and/or modif y
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation, either version 3 of the License, or
-// (at your option) any later version.
-//
-// The TXM platform is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
-// 
-// 
-// 
-// $LastChangedDate: 2013-07-25 16:24:13 +0200 (jeu. 25 juil. 2013) $
-// $LastChangedRevision: 2490 $
-// $LastChangedBy: mdecorde $ 
-//
-package org.txm.rcp.translate;
-
-import java.io.BufferedReader;
-import java.io.File;
+
+//
+// This file is part of the TXM platform.
+//
+// The TXM platform is free software: you can redistribute it and/or modif y
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 3 of the License, or
+// (at your option) any later version.
+//
+// The TXM platform is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+// GNU General Public License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
+// 
+// 
+// 
+// $LastChangedDate: 2013-07-25 16:24:13 +0200 (jeu. 25 juil. 2013) $
+// $LastChangedRevision: 2490 $
+// $LastChangedBy: mdecorde $ 
+//
+package org.txm.rcp.translate;
+
+import java.io.BufferedReader;
+import java.io.File;
 import java.io.FileInputStream;
-import java.io.FileNotFoundException;
 import java.io.FileOutputStream;
 import java.io.IOException;
 import java.io.InputStreamReader;
 import java.io.OutputStreamWriter;
-import java.io.UnsupportedEncodingException;
 import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.LinkedList;
-import java.util.List;
-
-// TODO: Auto-generated Javadoc
-/**
+import java.util.List;
+
+// TODO: Auto-generated Javadoc
+/**
  * Tool to update the key of externalization files xxxx_fr.properties
- * adds _NA to missing keys
- * 
- * @author mdecorde
- * 
- */
-public class ExternalizationFilesUpdater {
-
-	/** The dirfiles. */
-	LinkedList<File> dirfiles = new LinkedList<File>();
-	
-	/** The propertyfiles. */
-	HashMap<File, List<File>> propertyfiles = new HashMap<File, List<File>>();
-	
-	/** The fileentries. */
-	HashMap<File, List<String>> fileentries = new HashMap<File, List<String>>();
-	
-	/** The fileentriesvalues. */
-	HashMap<File, HashMap<String, String>> fileentriesvalues = new HashMap<File, HashMap<String, String>>();
-
-	/**
-	 * Gets the entries.
-	 *
-	 * @param file the file
+ * adds _N/A to missing keys in 'fr' and 'ru' files
+ * 
+ * @author mdecorde
+ * 
+ */
+public class ExternalizationFilesUpdater {
+
+	static boolean debug = false; // activate the properties files content display
+	
+	/** The dirfiles to process containing "(messages|bundle)(_$lang)?.properties" files */
+	LinkedList<File> dirfiles = new LinkedList<File>();
+	
+	/** The propertyfiles. */
+	HashMap<File, List<File>> propertyfiles = new HashMap<File, List<File>>();
+	
+	/** The fileentries: the messages keys */
+	HashMap<File, List<String>> fileentries = new HashMap<File, List<String>>();
+	
+	/** The fileentriesvalues: the messages key<->value s. */
+	HashMap<File, HashMap<String, String>> fileentriesvalues = new HashMap<File, HashMap<String, String>>();
+
+	/**
+	 * Gets the entries.
+	 *
+	 * @param file the file
 	 * @return the entries
-	 * @throws IOException 
-	 */
-	public List<String> getEntries(File file) throws IOException
-	{
+	 * @throws IOException 
+	 */
+	public static List<String> getEntries(File file) throws IOException
+	{
 		List<String> entries = new ArrayList<String>();
 		String encoding = "iso-8859-1";
-		if (file.getName().startsWith("message")) {
+		if (file.getName().startsWith("message")) { // TXM manages messages.properties encoded in UTF-8
 			encoding = "UTF-8";
-		}
-		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(file) , encoding));
-		String line = reader.readLine();
-		while (line != null) {
-			String[] split = line.split("=", 2);
-			if (split.length > 0) {
-				String key = split[0];
-				entries.add(key);
-			}
-			line = reader.readLine();
 		}
-		reader.close();
-		return entries;
-	}
-
-	/**
-	 * Gets the values.
-	 *
-	 * @param file the file
+		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(file) , encoding));
+		String line = reader.readLine();
+		while (line != null) {
+			String[] split = line.split("=", 2);
+			if (line.length() > 0 && !line.startsWith("#") && split.length > 0) {
+				entries.add(split[0].trim());
+			}
+			line = reader.readLine();
+		}
+		reader.close();
+		if (debug) System.out.println(" ENTRIES "+file+" -> "+entries);
+		return entries;
+	}
+
+	/**
+	 * Gets the values.
+	 *
+	 * @param file the file
 	 * @return the values
-	 * @throws IOException 
-	 */
-	public HashMap<String, String> getValues(File file) throws IOException {
-		HashMap<String, String> values = new HashMap<String, String>();
-		BufferedReader reader = new BufferedReader(new InputStreamReader(
-				new FileInputStream(file), "iso-8859-1"));
-		String line = reader.readLine();
-		while (line != null) {
-			String[] split = line.split("=");
-			if (split.length > 0) {
-				String key = split[0];
-				String concat = "";
-				for (int i = 1; i < split.length; i++)
-					concat += split[i];
-				values.put(key, concat);
-			}
-			line = reader.readLine();
-		}
-		return values;
-	}
-
-	/**
+	 * @throws IOException 
+	 */
+	public static HashMap<String, String> getValues(File file) throws IOException {
+		HashMap<String, String> values = new HashMap<String, String>();
+		
+		String encoding = "iso-8859-1";
+		if (file.getName().startsWith("message")) { // TXM manages messages.properties encoded in UTF-8
+			encoding = "UTF-8";
+		}
+		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(file) , encoding));
+		
+		String line = reader.readLine();
+		while (line != null) {
+			String[] split = line.split("=", 2);
+			if (line.length() > 0 && !line.startsWith("#") && split.length == 2) {
+				values.put(split[0].trim(), split[1]);
+			}
+			line = reader.readLine();
+		}
+		reader.close();
+		
+		if (debug) System.out.println(" VALUES "+file+" -> "+values);
+		return values;
+	}
+
+	/**
 	 * Process found directories.
-	 * @throws IOException 
-	 */
-	public void processFoundDirectories() throws IOException
-	{
-		for (File dirfile : dirfiles) {
-			System.out.println("DIRECTORY : "+dirfile);
-			List<File> files = propertyfiles.get(dirfile);
-			for (File f : files) {
-				this.fileentries.put(f, getEntries(f));
-				this.fileentriesvalues.put(f, getValues(f));
-			}
-			File reference = null;
-			if (files.get(0).getName().startsWith("m")) {
-				reference = new File(dirfile,"messages.properties");
-			}
-			else if (files.get(0).getName().startsWith("b"))
-				reference = new File(dirfile,"bundle.properties");
-			
-			if (reference != null && reference.exists()) {
-				for (File f : files) {
-					if (f != reference) {
-						List<String> refentries = this.fileentries.get(reference);
-						List<String> tmp1 = this.fileentries.get(f);
-						tmp1.removeAll(refentries);
-						
-						refentries = this.fileentries.get(reference);
-						List<String> tmp = this.fileentries.get(f);
-						refentries.removeAll(tmp);
-						for (String missing : refentries) {
-							this.fileentriesvalues.get(f).put(missing,"N/A_"+this.fileentriesvalues.get(reference).get(missing)); // put entry's value
-						}
-						
-						this.fileentries.put(f, this.fileentries.get(reference)); // update file entries
-						
-						if (tmp1.size() > 0 || refentries.size() > 0)
-							System.out.println(" "+f.getName());
-						if (tmp1.size() > 0)
-							System.out.println( "  Removed keys : "+tmp1);
-						if (refentries.size() > 0)
-							System.out.println( "  Added keys : "+refentries);
-					}
-				}
-			}
-		}
-	}
-
-	/**
+	 * @throws IOException 
+	 */
+	public void processFoundDirectories() throws IOException
+	{
+		for (File dirfile : dirfiles) {
+			System.out.println("DIRECTORY : "+dirfile);
+			List<File> files = propertyfiles.get(dirfile);
+			for (File f : files) {
+				this.fileentries.put(f, getEntries(f)); // ordered
+				this.fileentriesvalues.put(f, getValues(f));
+			}
+			File reference = null;
+			if (files.get(0).getName().startsWith("m")) {
+				reference = new File(dirfile,"messages.properties");
+			}
+			else if (files.get(0).getName().startsWith("b")) {
+				reference = new File(dirfile,"bundle.properties");
+			}
+			if (reference != null && reference.exists()) {
+				for (File f : files) {
+					if (!f.getName().equals(reference.getName())) {
+						List<String> refentries = new ArrayList(this.fileentries.get(reference));
+						List<String> tmp1 = new ArrayList(this.fileentries.get(f));
+						tmp1.removeAll(refentries);
+						
+						refentries = this.fileentries.get(reference);
+						List<String> tmp = this.fileentries.get(f);
+						refentries.removeAll(tmp);
+						for (String missing : refentries) {
+							this.fileentriesvalues.get(f).put(missing,"N/A_"+this.fileentriesvalues.get(reference).get(missing)); // put entry's value
+						}
+						
+						this.fileentries.put(f, this.fileentries.get(reference)); // update file entries
+						
+						if (tmp1.size() > 0 || refentries.size() > 0)
+							System.out.println(" "+f.getName());
+						if (tmp1.size() > 0)
+							System.out.println( "  Removed keys : "+tmp1);
+						if (refentries.size() > 0)
+							System.out.println( "  Added keys : "+refentries);
+					}
+				}
+			}
+		}
+	}
+
+	/**
 	 * Update files.
-	 * @throws IOException 
-	 */
-	public void updateFiles() throws IOException {
-		for (File dirfile : dirfiles) {
-			List<File> files = propertyfiles.get(dirfile);
-			for(File f : files)
-			{
-				List<String> entries =  this.fileentries.get(f);
-				HashMap<String, String> values = this.fileentriesvalues.get(f);
-				
-				OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(f) , "iso-8859-1");
-				for (String entry : entries) {
-					writer.write(entry+"="+values.get(entry)+"\n");
-				}
-				writer.close();
-			}
-		}
-	}
-
-	/**
-	 * Creates the missing files.
-	 *
+	 * @throws IOException 
+	 */
+	public void updateFiles() throws IOException {
+		for (File dirfile : dirfiles) {
+			List<File> files = propertyfiles.get(dirfile);
+			for (File f : files) {
+				
+				List<String> entries =  this.fileentries.get(f);
+				if (debug) System.out.println(" U "+f+" <- "+entries);
+				HashMap<String, String> values = this.fileentriesvalues.get(f);
+				
+				OutputStreamWriter writer = new OutputStreamWriter(new FileOutputStream(f) , "iso-8859-1");
+				for (String entry : entries) {
+					writer.write(entry+"="+values.get(entry)+"\n");
+				}
+				writer.close();
+			}
+		}
+	}
+
+	/**
+	 * Creates the missing files.
+	 *
 	 * @param lang the suffix
-	 * @throws IOException 
-	 */
-	public void createMissingFiles(String lang) throws IOException
-	{
-		System.out.println("Looking for missing messages files "+ lang);
-		for (File dirfile : dirfiles) {
-			//println "DIRECTORY : "+dirfile
-			File reference = null;
-			String lookingname = "";
-			List<File> files = propertyfiles.get(dirfile);
-			if (files.get(0).getName().startsWith("m")) {
-				reference = new File(dirfile,"messages.properties");
-				lookingname = "messages_"+lang+".properties";
-			} else if (files.get(0).getName().startsWith("b")) {
-				reference = new File(dirfile,"bundle.properties");
-				lookingname = "bundle_"+lang+".properties";
-			}
-			
-			boolean create = true;
-			if (reference != null && reference.exists()) {
-				for (File f : files) {
-					if (f.getName().equals(lookingname))
-						create = false;
-				}
+	 * @throws IOException 
+	 */
+	public void createMissingFiles(String lang) throws IOException
+	{
+		System.out.println("Looking for missing messages files "+ lang);
+		for (File dirfile : dirfiles) {
+			//println "DIRECTORY : "+dirfile
+			File reference = null;
+			String lookingname = "";
+			List<File> files = propertyfiles.get(dirfile);
+			if (files.get(0).getName().startsWith("m")) {
+				reference = new File(dirfile,"messages.properties");
+				lookingname = "messages_"+lang+".properties";
+			} else if (files.get(0).getName().startsWith("b")) {
+				reference = new File(dirfile,"bundle.properties");
+				lookingname = "bundle_"+lang+".properties";
 			}
-			
-			if (create) {
-				new File(dirfile,lookingname).createNewFile();
-				System.out.println("Create file " +new File(dirfile,lookingname));
-			}
-		}
-	}
-
-	/* (non-Javadoc)
-	 * @see java.lang.Object#toString()
-	 */
-	public String toString() {
-		String rez = "";
-		for (File dirfile : dirfiles) {
-			rez += dirfile+"\n";
+			
+			boolean create = true;
+			if (reference != null && reference.exists()) {
+				for (File f : files) {
+					if (f.getName().equals(lookingname))
+						create = false;
+				}
+			}
+			
+			if (create) {
+				new File(dirfile,lookingname).createNewFile();
+				System.out.println("Create file " +new File(dirfile,lookingname));
+			}
+		}
+	}
+
+	/* (non-Javadoc)
+	 * @see java.lang.Object#toString()
+	 */
+	public String toString() {
+		String rez = "";
+		for (File dirfile : dirfiles) {
+			rez += dirfile+"\n";
 			for (File f : propertyfiles.get(dirfile)) {
 				rez += "  "+f.getName()+"\n";
-			}
-		}
-		return rez;
-	}
-
-	/**
-	 * Scan directory.
-	 *
-	 * @param directory the directory
-	 */
-	public void scanDirectory(File directory)
-	{
-		if (!directory.exists()) {
-			System.out.println("directory '"+directory+"' does not exists");
-			return;
-		}
-		
-		System.out.println("scan directory : "+directory.getAbsolutePath());
-		LinkedList<File> files = new LinkedList<File>();
-		files.add(directory);
-		
-		while (!files.isEmpty()) {
-			File current = files.removeFirst();
-			if (current.isDirectory()) {
-				List<File> currentpfiles = new ArrayList<File>();
-				for (File sfile : current.listFiles()) {
-					if (sfile.isDirectory())
-						files.add(sfile);
-					else if(sfile.getName().endsWith(".properties") && (sfile.getName().startsWith("messages") || sfile.getName().startsWith("bundle")) )
-						currentpfiles.add(sfile);
-				}
-				if (currentpfiles.size() > 0) {
-					dirfiles.add(current);
-					propertyfiles.put(current, currentpfiles);
-				}
-			}
-		}
-	}
-
-	/**
-	 * The main method.
-	 *
+			}
+		}
+		return rez;
+	}
+
+	/**
+	 * Scan directory.
+	 *
+	 * @param directory the directory
+	 */
+	public void scanDirectory(File directory)
+	{
+		if (!directory.exists()) {
+			System.out.println("directory '"+directory+"' does not exists");
+			return;
+		}
+		
+		System.out.println("scan directory : "+directory.getAbsolutePath());
+		LinkedList<File> files = new LinkedList<File>();
+		files.add(directory);
+		
+		while (!files.isEmpty()) {
+			File current = files.removeFirst();
+			if (current.isDirectory() && !current.getName().equals("bin")) {
+				List<File> currentpfiles = new ArrayList<File>();
+				for (File sfile : current.listFiles()) {
+					if (sfile.isDirectory())
+						files.add(sfile);
+					else if(sfile.getName().endsWith(".properties") && (sfile.getName().startsWith("messages") || sfile.getName().startsWith("bundle")) )
+						currentpfiles.add(sfile);
+				}
+				if (currentpfiles.size() > 0) {
+					dirfiles.add(current);
+					propertyfiles.put(current, currentpfiles);
+				}
+			}
+		}
+	}
+
+	/**
+	 * The main method.
+	 *
 	 * @param args the arguments
-	 * @throws IOException 
-	 */
-	public static void main(String[] args) throws Exception
-	{
+	 * @throws IOException 
+	 */
+	public static void main(String[] args) throws Exception
+	{
 		String userdir = System.getProperty("user.home");
-		File workspaceDir = new File(userdir, "workspace047");
+		File workspaceDir = new File(userdir, "workspace047/org.txm.analec.rcp");
 		
 		for (File project : workspaceDir.listFiles()) {
 			if (!project.isDirectory()) continue;
 			if (project.isHidden()) continue;
-			if (!project.getName().endsWith(".rcp")) continue;
+		//	if (!project.getName().endsWith(".rcp")) continue;
 			
 			System.out.println("*** "+project+" ***");
 			
@@ -313,6 +318,6 @@
 			}
 			scanner.processFoundDirectories();
 			scanner.updateFiles();
-		}
-	}
-}
+		}
+	}
+}
\ No newline at end of file
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/QueryOptionHandler.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/QueryOptionHandler.java	(revision 1060)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/QueryOptionHandler.java	(revision 1061)
@@ -4,7 +4,7 @@
 
 import org.kohsuke.args4j.CmdLineParser;
 import org.kohsuke.args4j.OptionDef;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * {@link Date} 
@@ -13,13 +13,13 @@
  * 
  * @author mdecorde
  */
-public class QueryOptionHandler extends OneArgumentOptionHandler<Query> {
-	public QueryOptionHandler(CmdLineParser parser, OptionDef option, Setter<? super Query> setter) {
+public class QueryOptionHandler extends OneArgumentOptionHandler<CQLQuery> {
+	public QueryOptionHandler(CmdLineParser parser, OptionDef option, Setter<? super CQLQuery> setter) {
 		super(parser, option, setter);
 	}
 
 	@Override
-	protected Query parse(String argument) throws NumberFormatException {
-		return new Query(argument);
+	protected CQLQuery parse(String argument) throws NumberFormatException {
+		return new CQLQuery(argument);
 	}
 }
Index: tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/CmdLineParser.java
===================================================================
--- tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/CmdLineParser.java	(revision 1060)
+++ tmp/org.txm.libs.args4j/src/org/kohsuke/args4j/CmdLineParser.java	(revision 1061)
@@ -43,7 +43,7 @@
 import org.kohsuke.args4j.spi.StringOptionHandler;
 import org.kohsuke.args4j.spi.URIOptionHandler;
 import org.kohsuke.args4j.spi.URLOptionHandler;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 
 /**
@@ -583,7 +583,7 @@
         registerHandler(Short.class, ShortOptionHandler.class);
         registerHandler(short.class, ShortOptionHandler.class);
         registerHandler(Date.class, DateOptionHandler.class);
-        registerHandler(Query.class, QueryOptionHandler.class);
+        registerHandler(CQLQuery.class, QueryOptionHandler.class);
         registerHandler(Object.class, ObjectOptionHandler.class);
         // enum is a special case
         registerHandler(Map.class,MapOptionHandler.class);
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 1060)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/handlers/ComputeWordCloud.java	(revision 1061)
@@ -36,7 +36,7 @@
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.wordcloud.core.functions.WordCloud;
 import org.txm.wordcloud.core.messages.WordCloudCoreMessages;
 
@@ -74,12 +74,12 @@
 				try {
 					Corpus corpus = (Corpus) selection; 
 					String lang = corpus.getLang();
-					Query query;
+					CQLQuery query;
 					if (corpus.getProperty(lang + "pos") != null) { //$NON-NLS-1$
-						query = new Query(WordCloud.getQueryForLang(lang));
+						query = new CQLQuery(WordCloud.getQueryForLang(lang));
 					}
 					else {
-						query = new Query("[]"); //$NON-NLS-1$
+						query = new CQLQuery("[]"); //$NON-NLS-1$
 					}
 					
 					System.out.println("Used query: " + query); //$NON-NLS-1$
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1060)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/handlers/ComputeCooccurrences.java	(revision 1061)
@@ -44,7 +44,7 @@
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.logger.Log;
 
 /**
@@ -94,7 +94,7 @@
 				boolean buildLexicalTableWithCooccurrents = CooccurrencePreferences.getInstance().getBoolean(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE);
 
 				StructuralUnit limit = null;
-				Query query = null;
+				CQLQuery query = null;
 				List<WordProperty> properties = null;
 
 				Concordance conc = (Concordance) selection;
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1060)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/functions/InternalView.java	(revision 1061)
@@ -24,7 +24,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
 
@@ -106,7 +106,7 @@
 		if(this.hasParameterChanged(InternalViewPreferences.STRUCTURAL_UNIT))	{
 			this.pCurrentPage = 0;
 			//find struct start-end
-			Query query = new Query("<" + pStructuralUnit.getName() + "> [] expand to " + pStructuralUnit); //$NON-NLS-1$ //$NON-NLS-2$
+			CQLQuery query = new CQLQuery("<" + pStructuralUnit.getName() + "> [] expand to " + pStructuralUnit); //$NON-NLS-1$ //$NON-NLS-2$
 			//System.out.println(query);
 			QueryResult result = getCorpus().query(query, "test", false); //$NON-NLS-1$
 			nmatches = result.getNMatch();
Index: tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 1060)
+++ tmp/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 1061)
@@ -22,7 +22,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.textsbalance.core.preferences.TextsBalancePreferences;
 import org.txm.utils.logger.Log;
 
@@ -140,12 +140,12 @@
 				for (String value : this.values) {
 					int v = 0;
 					if (this.groupByTexts) {
-						QueryResult r = this.getCorpus().query(new Query("<"+p.getFullName()+"=\""+value+"\">[]"), "tmp", false);
+						QueryResult r = this.getCorpus().query(new CQLQuery("<"+p.getFullName()+"=\""+value+"\">[]"), "tmp", false);
 						v = r.getNMatch();
 						r.drop();
 					}
 					else {
-						QueryResult r = this.getCorpus().query(new Query("[_."+p.getFullName()+"=\""+value+"\"] expand to text"), "tmp", false);
+						QueryResult r = this.getCorpus().query(new CQLQuery("[_."+p.getFullName()+"=\""+value+"\"] expand to text"), "tmp", false);
 						int t = 0;
 						for (Match m : r.getMatches()) {
 							t += m.getLength();
Index: tmp/org.txm.dictionary.rcp/src/org/txm/macro/frolex/CreateFrolexMacro.groovy
===================================================================
--- tmp/org.txm.dictionary.rcp/src/org/txm/macro/frolex/CreateFrolexMacro.groovy	(revision 1060)
+++ tmp/org.txm.dictionary.rcp/src/org/txm/macro/frolex/CreateFrolexMacro.groovy	(revision 1061)
@@ -21,7 +21,7 @@
 import org.txm.searchengine.cqp.corpus.CorpusManager
 import org.txm.searchengine.cqp.corpus.MainCorpus
 import org.txm.searchengine.cqp.corpus.Property
-import org.txm.searchengine.cqp.corpus.query.Query
+import org.txm.searchengine.cqp.corpus.query.CQLQuery
 import org.txm.utils.DeleteDir
 import java.sql.*;
 
@@ -504,7 +504,7 @@
 		props.add(posProperty)
 		props.add(lemmaProperty)
 		props.add(lemmaSrcProperty)
-		Index index = new Index(bfmCorpus, new Query("[pos!=\"pon\"]"), props)
+		Index index = new Index(bfmCorpus, new CQLQuery("[pos!=\"pon\"]"), props)
 
 		index.toTSVDictionnary(outfile, "\t", "UTF-8")
 	}
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 1060)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 1061)
@@ -25,7 +25,7 @@
 import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.messages.ProgressionCoreMessages;
 import org.txm.progression.core.preferences.ProgressionPreferences;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 
 /**
  * JFC progression chart creator.
@@ -124,10 +124,10 @@
 			dataset.removeAllSeries();
 			
 			List<int[]> positions = progression.getAllPositions();
-			List<Query> queries = progression.getQueries();
+			List<CQLQuery> queries = progression.getQueries();
 			for(int i = 0; i < positions.size(); i++) {
 				int[] list = positions.get(i);
-				Query query = queries.get(i);
+				CQLQuery query = queries.get(i);
 				XYSeries series = new XYSeries(query.toString() + " " + list.length);
 				int c = 1;
 				for(int j = 0; j < list.length; j++) {
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1060)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 1061)
@@ -55,7 +55,7 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.searchengine.cqp.corpus.query.Match;
-import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.serverException.CqiServerError;
 import org.txm.utils.logger.Log;
 
@@ -111,7 +111,7 @@
 	 * Queries.
 	 */
 	@Parameter(key=TBXPreferences.QUERIES)
-	protected List<Query> queries;
+	protected List<CQLQuery> queries;
 
 	/**
 	 * Structural unit.
@@ -164,7 +164,7 @@
 	@Override
 	public boolean loadParameters() {
 		if(!this.getStringParameterValue(TBXPreferences.QUERIES).isEmpty())	{
-			this.queries = Query.stringToQueries(this.getStringParameterValue(TBXPreferences.QUERIES));
+			this.queries = CQLQuery.stringToQueries(this.getStringParameterValue(TBXPreferences.QUERIES));
 		}
 		
 		if(!this.getStringParameterValue(TBXPreferences.STRUCTURAL_UNIT).isEmpty())	{
@@ -194,7 +194,7 @@
 	public boolean saveParameters() {
 
 		if(this.queries != null && !this.queries.isEmpty())	{
-			this.saveParameter(ProgressionPreferences.QUERIES, Query.queriesToString(this.queries));
+			this.saveParameter(ProgressionPreferences.QUERIES, CQLQuery.queriesToString(this.queries));
 		}
 
 		if(this.structuralUnit != null)	{
@@ -270,7 +270,7 @@
 	 * @param bandeMultiplier
 	 */
 	// FIXME : all parameters related to rendering should be removed from this class and centralized in the charts engine system
-	public void setParameters(List<Query> queries, StructuralUnit structuralUnit, StructuralUnitProperty property, String propertyregex, boolean doCumulative, int lineWidth, boolean repeatValues, float bandeMultiplier)	{
+	public void setParameters(List<CQLQuery> queries, StructuralUnit structuralUnit, StructuralUnitProperty property, String propertyregex, boolean doCumulative, int lineWidth, boolean repeatValues, float bandeMultiplier)	{
 		this.queries = queries; // the query of the selection
 		this.structuralUnit = structuralUnit;
 		this.structuralUnitProperty = property;
@@ -408,7 +408,7 @@
 	public boolean stepQueries() throws CqiClientException	{
 		maxX = getCorpus().getSize();
 		int npositions = 0;
-		for (Query query : queries) {
+		for (CQLQuery query : queries) {
 			// System.out.println("query  "+query.getQueryString());
 			QueryResult result = getCorpus().query(query, query.getQueryString()
 					.replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$			
@@ -456,13 +456,13 @@
 	public boolean stepStructuralUnits() throws CqiClientException, IOException, CqiServerError	{
 		// structure query
 		if (structuralUnit != null) {
-			Query query = new Query("<" + structuralUnit.getName() + ">[]"); //$NON-NLS-1$ //$NON-NLS-2$
+			CQLQuery query = new CQLQuery("<" + structuralUnit.getName() + ">[]"); //$NON-NLS-1$ //$NON-NLS-2$
 			if (structuralUnitProperty != null) {
 				if (!propertyRegex.isEmpty()) {
-					query = new Query("<" + structuralUnitProperty.getFullName() + "=\"" + propertyRegex + "\">[]"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					query = new CQLQuery("<" + structuralUnitProperty.getFullName() + "=\"" + propertyRegex + "\">[]"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 				else	{
-					query = new Query("<" + structuralUnitProperty.getFullName() + ">[]"); //$NON-NLS-1$ //$NON-NLS-2$
+					query = new CQLQuery("<" + structuralUnitProperty.getFullName() + ">[]"); //$NON-NLS-1$ //$NON-NLS-2$
 				}
 			}
 
@@ -599,7 +599,7 @@
 	 *
 	 * @return the queries
 	 */
-	public List<Query> getQueries() {
+	public List<CQLQuery> getQueries() {
 		return this.queries;
 	}
 
@@ -856,7 +856,7 @@
 	/**
 	 * @param queries the queries to set
 	 */
-	public void setQueries(List<Query> queries) {
+	public void setQueries(List<CQLQuery> queries) {
 		this.queries = queries;
 	}
 
